.contact-page{

    background: #000;

    .page-width{
        width: .calc-vw(1)[@return];
        margin-left: @nav-width;
    }

    .contact-hero{

        height: 60vh;
        min-height: 500px;
        display: flex;
        justify-content: center;
        align-items: center;

     
        .title-with-shadow{

            position: relative;
            font-size: 9vw;
            height: 1.2em;
            line-height: 1em;
            .fontBold();
            color: #fff;
            text-align: center;
            // background: linear-gradient(to bottom, #fff 0%, #959595 60%, #050505 100%);
            // -webkit-background-clip: text;
            // -webkit-text-fill-color: transparent;

            &:after {
                display: block;
                width: 100%;
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;
                background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 50%, rgba(0, 0, 0, 0.8) 75%, rgba(0, 0, 0, 1) 100%);
                content: "";
            }

           
        }   
        .subtitle{
            font-size: 1.6vw;
            text-align: center;
            color: #fff;
            margin-top: 2vw;
            p{
                .fontBold();
            }
        }
    }

    .contact-container{

        display: flex;

        .contact-info,
        .contact-image,
        .contact-map{
            width: 50%;
        }
        .contact-info{
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            min-height: .calc-vw(0.4)[@return];
            flex-direction: column;
        }
        .contact-block{

            margin-bottom: 3vw;
            &:last-of-type{
                margin-bottom: 0;
            }

            h2{
                .fontBold();
                margin-bottom: 1vw;
            }
            p{
                padding: 0;
                margin: 0;
                line-height: 1.4;
            }
            a{
                text-decoration: none;
            }

            h2, p, a, a{
                color: #fff;
                font-size: 1.5vw;
            }
        }
        .contact-image{
            img{
                width: .calc-vw(0.5)[@return];
                height: .calc-vw(0.4)[@return];
                object-fit: cover;
                overflow: hidden;
            }
        }
    }
}


@media screen and (max-width: 800px){

    .contact-page{

        .page-width{
            width: 100vw;
            margin-left: 0;
        }
        .contact-hero{

            height: 50vh;
            min-height: 350px;
            margin-top: @nav-mobile-height;

            .title-with-shadow{
                font-size: 16vw;
            }
            .subtitle{
                font-size: 3vw;
            }
        }

        .contact-container{
            flex-direction: column-reverse;
          

            .contact-info,
            .contact-image{
                min-height: 40vh;
            }
            .contact-block{
                margin-bottom: 10vw;
                &:last-of-type{
                    margin-bottom: 0;
                }
                h2, p, a{
                    font-size: 4vw;
                }
            }
            .contact-info{
                padding: 10vw 0;
            }
            .contact-image{
                img{
                    width: 100vw;
                    height: 80vw;
                }
            }
        }

    }

}